.recent-blogs-section {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0px 60px 100px;
  background: #fff;
}

.recent-blogs-inner {
  width: 100%;
  max-width: 1180px;
  display: flex;
  flex-direction: column;
  gap: 54px;
}

.recent-blogs-inner .blog-type-heading {
  color: #171717;
  font-family: "Cabinet Grotesk";
  font-size: 28px;
  font-style: normal;
  font-weight: 700;
  line-height: 112%;
  letter-spacing: -1.04px;
  margin: 0;
}

.recent-blogs-inner .blog-lists {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 24px;
  width: 100%;
}

.recent-blogs-inner .blog-card {
  display: flex;
  flex-direction: column;
  gap: 12px;
  padding: 0 0 10px;
  text-decoration: none;
  color: inherit;
}

.recent-blogs-inner .blog-card-img {
  width: 100%;
  aspect-ratio: 4 / 3;
  object-fit: cover;
  display: block;
}

.recent-blogs-inner .meta-fields {
  padding-top: 8px;
  border-top: 1px solid rgba(0, 0, 0, 0.40);
  margin: 0;
  display: flex;
  align-items: center;
  gap: 20px;
  justify-content: space-between;
}

.recent-blogs-inner .tag-name,
.recent-blogs-inner .published-time {
  color: #838383;
  font-family: Geist;
  font-size: 12px;
  font-style: normal;
  font-weight: 500;
  line-height: 150%;
  letter-spacing: 0.36px;
  text-transform: uppercase;
  margin: 0;
}

.recent-blogs-inner .blog-card-title {
  color: #000;
  font-family: "Cabinet Grotesk";
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: 125%;
  letter-spacing: -0.24px;
  margin: 0;
}

.recent-blogs-inner .blog-card-desc {
  color: #999;
  font-family: Geist;
  font-size: 13px;
  font-style: normal;
  font-weight: 300;
  line-height: 150%;
  letter-spacing: -0.26px;
  margin: 0 0 4px;
}

/* =========================
   1024px
========================= */
@media (max-width: 1024px) {
  .recent-blogs-section {
    padding: 0 40px 80px;
  }

  .recent-blogs-inner {
    gap: 40px;
  }

  .recent-blogs-inner .blog-lists {
    grid-template-columns: repeat(2, 1fr);
    gap: 30px 20px;
  }

  .recent-blogs-inner .blog-type-heading {
    font-size: 24px;
  }

  .recent-blogs-inner .blog-card-title {
    font-size: 17px;
  }

  .recent-blogs-inner .blog-card-desc {
    font-size: 12px;
  }
}


/* =========================
   768px
========================= */
@media (max-width: 768px) {
  .recent-blogs-section {
    padding: 0 20px 60px;
  }

  .recent-blogs-inner {
    gap: 30px;
  }

  .recent-blogs-inner .blog-type-heading {
    font-size: 22px;
    line-height: 120%;
  }

  .recent-blogs-inner .blog-lists {
    grid-template-columns: 1fr;
    gap: 24px;
  }

  .recent-blogs-inner .blog-card {
    gap: 10px;
  }

  .recent-blogs-inner .blog-card-img {
    aspect-ratio: 16 / 9;
  }

  .recent-blogs-inner .meta-fields {
    padding-top: 10px;
    gap: 10px;
  }

  .recent-blogs-inner .tag-name,
  .recent-blogs-inner .published-time {
    font-size: 11px;
  }

  .recent-blogs-inner .blog-card-title {
    font-size: 18px;
    line-height: 130%;
  }

  .recent-blogs-inner .blog-card-desc {
    font-size: 13px;
    line-height: 150%;
  }
}
